import {faFaceLaugh, faHashtag, faTrophy} from "@fortawesome/free-solid-svg-icons";
import Achievements from "@/states/Manage/pages/Achievements";
import Channels from "@/states/Manage/pages/Channels";
import Emotepacks from "@/states/Manage/pages/Emotepacks";
import {ChannelProvider} from "@/states/Manage/pages/Channels/contexts/ChannelContext";
import ManageChannel from "@/states/Manage/pages/ManageChannel";

export default [
    {
        path: "/guild/:id/achievements",
        element: <Achievements/>,
        icon: faTrophy,
        name: "Achievements"
    },
    {
        path: "/guild/:id/channels",
        element: <ChannelProvider><Channels/></ChannelProvider>,
        icon: faHashtag,
        name: "Channels"
    },
    {
        path: "/guild/:id/:channel/manage",
        element: <ChannelProvider><ManageChannel/></ChannelProvider>,
        name: "Edit channel",
        route: "/guild/:id/channels"
    },
    {
        path: "/guild/:id/emotes",
        element: <Emotepacks/>,
        icon: faFaceLaugh,
        name: "Emotepacks"
    }
];